Skip to main content
POST
/
v5
/
taxEngineExpress
/
calculateTaxAustralia
Calculate Taxes for Australia
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/calculateTaxAustralia \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "client_id": "fake_client_id",
  "userId": "fake_userId",
  "year": 2018,
  "filingStatusCode": "S",
  "businessIncome": 100000,
  "gcIncome": 123,
  "interestIncome": 0,
  "dividendIncome": 0,
  "capitalGain": 0,
  "noOfDependents": 1,
  "employerSuperannuationContribution": 0,
  "personalSuperannuationContribution": 0,
  "financialInvestmentPropertyLoss": 0
}
'
{
  "taxTableYear": 2020,
  "netIncome": 100000,
  "taxAmount": 26632
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

tax calculation parameters

Parameters for the calculateTaxAustralia endpoint

client_id
string
required

The client_id of the Tight Partner

Example:

"fake_client_id"

userId
string
required

An anonymized userId, used for tracking API usage. The Tight Partner decides how to anonymize it.

Example:

"fake_userId"

year
integer<int32>
required

Tax year for which tax needs to be calculated on

Example:

2018

filingStatusCode
enum<string>

The Tax Filing Status Code

Available options:
S,
F,
SS,
FS
Example:

"S"

businessIncome
number

The business income for which tax needs to be calculated on

Example:

100000

gcIncome
number
interestIncome
number

The interest income for which tax needs to be calculated on

Example:

0

dividendIncome
number

The dividend income for which tax needs to be calculated on

Example:

0

capitalGain
number

The capital gain income for which tax needs to be calculated on

Example:

0

noOfDependents
integer<int32>

Number of dependents

Example:

1

employerSuperannuationContribution
number

The employer superannuation amount for which tax needs to be calculated on

Example:

0

personalSuperannuationContribution
number

The personal superannuation amount for which tax needs to be calculated on

Example:

0

financialInvestmentPropertyLoss
number

The financial superannuation amount for which tax needs to be calculated on

Example:

0

Response

200 - application/json

Successful operation

taxTableYear
integer<int32>
Example:

2020

netIncome
number
Example:

100000

taxAmount
number
Example:

26632